# CKEditor 3.0 JavaScript API Documentation

Code Index | File Index

## Namespaces

- CKEDITOR
- CKEDITOR.ajax
- CKEDITOR.config
- CKEDITOR.dom
- CKEDITOR.dtd
- CKEDITOR.env
- CKEDITOR.imageCacher
- CKEDITOR.loader
- CKEDITOR.plugins
- CKEDITOR.resourceManager
- CKEDITOR.scriptLoader
- CKEDITOR.skins
- CKEDITOR.test
- CKEDITOR.themes
- CKEDITOR.tools

## Classes

- CKEDITOR.commandDefinition
- CKEDITOR.dialog
- CKEDITOR.dialog.buttonDefinition
- CKEDITOR.dialog.contentDefinition
- CKEDITOR.dialog.contentDefinitionObject
- CKEDITOR.dialog.dialogDefinition
- CKEDITOR.dialog.dialogDefinitionObject
- CKEDITOR.dialog.uiElementDefinition
- CKEDITOR.dialogCommand
- CKEDITOR.dom.document
- CKEDITOR.dom.domObject
- CKEDITOR.dom.element
- CKEDITOR.dom.event
- CKEDITOR.dom.node
- CKEDITOR.dom.selection
- CKEDITOR.dom.text
- CKEDITOR.dom.window
- CKEDITOR.editor
- CKEDITOR.event
- CKEDITOR.eventInfo
- CKEDITOR.focusManager
- CKEDITOR.htmlParser
- CKEDITOR.htmlParser.cdata
- CKEDITOR.htmlParser.comment
- CKEDITOR.htmlParser.element
- CKEDITOR.htmlParser.fragment
- CKEDITOR.htmlParser.text
- CKEDITOR.htmlWriter
- CKEDITOR.keystrokeHandler
- CKEDITOR.pluginDefinition
- CKEDITOR.ui
- CKEDITOR.ui.button
- CKEDITOR.ui.dialog.button
- CKEDITOR.ui.dialog.checkbox
- CKEDITOR.ui.dialog.file
- CKEDITOR.ui.dialog.fileButton
- CKEDITOR.ui.dialog.hbox
- CKEDITOR.ui.dialog.html
- CKEDITOR.ui.dialog.labeledElement
- CKEDITOR.ui.dialog.radio
- CKEDITOR.ui.dialog.select
- CKEDITOR.ui.dialog.textarea
- CKEDITOR.ui.dialog.textInput
- CKEDITOR.ui.dialog.uiElement
- CKEDITOR.ui.dialog.vbox
- CKEDITOR.ui.handlerDefinition
- CKEDITOR.xml

# Built-In Namespace _global_

Field Summary
Field Attributes | Field Name and Description
--- | ---
| dir The language reading direction.
| flashAddEmbedTag Add EMBED tag as alternative: <object><embed></embed></object>
| flashConvertOnEdit Use embedTagOnly and addEmbedTag values on edit.
| flashEmbedTagOnly Save as EMBED tag only.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| $()
| boundaryGuard(node)
| cleanInnerDefinition(def)
| guard(node, movingOut)
| L()
| mergeSibling(rtl)
| onHide()
| onResize()
| popup(url, width, height) Opens Browser in a popup.
| R(U, V)
| T(U, V)
| tailBrGuard(node)
| updatePreview(src)

Field Detail
{String} dir
Since: 3.0
The language reading direction. Possible values are "rtl" for Right-To-Left languages (like Arabic) and "ltr" for Left-To-Right languages (like English).
Defined in: lang/en.js.

Default Value:
  'ltr'

{Boolean} flashAddEmbedTag
Since: 3.0
Add EMBED tag as alternative: <object><embed></embed></object>
Defined in: plugins/flash/plugin.js.

    NO EXAMPLE AVAILABLE

Default Value:
  false

{Boolean} flashConvertOnEdit
Since: 3.0
Use embedTagOnly and addEmbedTag values on edit.
Defined in: plugins/flash/plugin.js.

    NO EXAMPLE AVAILABLE

Default Value:
  false

{Boolean} flashEmbedTagOnly
Since: 3.0
Save as EMBED tag only. This tag is unrecommended.
Defined in: plugins/flash/plugin.js.

    NO EXAMPLE AVAILABLE

Default Value:
  false

Method Detail
{Undefined} $()
Since: 3.0
Defined in: core/tools.js.

    NO EXAMPLE AVAILABLE

{Undefined} boundaryGuard(node)
Since: 3.0
Defined in: core/dom/range.js.

    NO EXAMPLE AVAILABLE

Parameters:
{Undefined} node

{Undefined} cleanInnerDefinition(def)
Since: 3.0
Defined in: plugins/dialogui/plugin.js.

    NO EXAMPLE AVAILABLE

Parameters:
{Undefined} def

{Undefined} guard(node, movingOut)
Since: 3.0
Defined in: core/dom/walker.js.

    NO EXAMPLE AVAILABLE

Parameters:
{Undefined} node
{Undefined} movingOut

{Undefined} L()
Since: 3.0
Defined in: plugins/uicolor/yui/yui.js.

    NO EXAMPLE AVAILABLE

{Undefined} mergeSibling(rtl)
Since: 3.0
Defined in: plugins/list/plugin.js.

    NO EXAMPLE AVAILABLE

Parameters:
{Undefined} rtl

{Undefined} onHide()
Since: 3.0
Defined in: plugins/richcombo/plugin.js.

    NO EXAMPLE AVAILABLE

{Undefined} onResize()
Since: 3.0
Defined in: plugins/sourcearea/plugin.js.

    NO EXAMPLE AVAILABLE

{Undefined} popup(url, width, height)
Since: 3.0
Opens Browser in a popup. The "width" and "height" parameters accept numbers (pixels) or percent (of screen size) values.
Defined in: plugins/popup/plugin.js.

    NO EXAMPLE AVAILABLE

Parameters:
{String} url
  The url of the external file browser.
{String} width
  Popup window width.
{String} height
  Popup window height.

{Undefined} R(U, V)
Since: 3.0
Defined in: plugins/uicolor/yui/yui.js.

    NO EXAMPLE AVAILABLE

Parameters:
{Undefined} U
{Undefined} V

{Undefined} T(U, V)
Since: 3.0
Defined in: plugins/uicolor/yui/yui.js.

    NO EXAMPLE AVAILABLE

Parameters:
{Undefined} U
{Undefined} V

{Undefined} tailBrGuard(node)
Since: 3.0
Defined in: core/dom/range.js.

    NO EXAMPLE AVAILABLE

Parameters:
{Undefined} node

{Undefined} updatePreview(src)
Since: 3.0
Defined in: plugins/flash/dialogs/flash.js.

    NO EXAMPLE AVAILABLE

Parameters:
{Undefined} src

Copyright © 2003-2009, CKSource - Frederico Knabben. All rights reserved.